<?php

/**
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 3 of the License, or (at
 *   your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful, but
 *   WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *   General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, see <http://www.gnu.org/licenses/>.
 *
 *   @author          Black Cat Development
 *   @copyright       2014, Black Cat Development
 *   @link            http://blackcat-cms.org
 *   @license         http://www.gnu.org/licenses/gpl.html
 *   @category        CAT_Modules
 *   @package         YouTube
 *
 */

if (defined('CAT_PATH')) {
    if (defined('CAT_VERSION')) include(CAT_PATH.'/framework/class.secure.php');
} elseif (file_exists($_SERVER['DOCUMENT_ROOT'].'/framework/class.secure.php')) {
    include($_SERVER['DOCUMENT_ROOT'].'/framework/class.secure.php');
} else {
    $subs = explode('/', dirname($_SERVER['SCRIPT_NAME']));    $dir = $_SERVER['DOCUMENT_ROOT'];
    $inc = false;
    foreach ($subs as $sub) {
        if (empty($sub)) continue; $dir .= '/'.$sub;
        if (file_exists($dir.'/framework/class.secure.php')) {
            include($dir.'/framework/class.secure.php'); $inc = true;    break;
        }
    }
    if (!$inc) trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
}

global $parser;
$parser->setPath(dirname(__FILE__).'/templates/default');
$parser->setGlobals('page_id',$page_id);
$parser->setGlobals('section_id',$section_id);

$data = array('options'=>NULL,'link'=>NULL);
$set  = $database->query(sprintf(
    "SELECT * FROM `%smod_youtube` WHERE `section_id`=%d",
    CAT_TABLE_PREFIX, $section_id
));
if($set->numRows())
    $data = $set->fetchRow();
if(isset($data['options']) && $data['options'] != '')
    $data['options'] = unserialize($data['options']);

// preview
$preview = NULL;
if(
       (isset($data['options']) && $data['options'] != '')
    || (isset($data['link'])    && $data['link']    != '')
) {
    ob_start();
        include dirname(__FILE__).'/view.php';
        $preview = ob_get_clean();
    $preview = preg_replace('~width=\"(\d+)\"~i', 'width="250"', $preview);
    $preview = preg_replace('~height=\"(\d+)\"~i', 'height="150"', $preview);
}

// edit CSS button
$buttoncode = NULL;
if(CAT_Helper_Addons::versionCompare(CAT_VERSION, '1.1', $operator = '>=' ))
    $buttoncode = CAT_Helper_Addons::getEditModuleFilesButton('youtube',false);
else
    $buttoncode = edit_module_css('youtube');

$parser->output(
    'modify',
    array(
        'options'=>$data['options'],
        'code'=>$data['link'],
        'preview'=>$preview,
        'buttoncode'=>$buttoncode
    )
);