<?php

/**
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 3 of the License, or (at
 *   your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful, but
 *   WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *   General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, see <http://www.gnu.org/licenses/>.
 *
 *   @author          Black Cat Development
 *   @copyright       2014, Black Cat Development
 *   @link            http://blackcat-cms.org
 *   @license         http://www.gnu.org/licenses/gpl.html
 *   @category        CAT_Modules
 *   @package         YouTube
 *
 */

if (defined('CAT_PATH')) {
	include(CAT_PATH.'/framework/class.secure.php');
} else {
	$root = "../";
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))) {
		$root .= "../";
		$level += 1;
	}
	if (file_exists($root.'/framework/class.secure.php')) {
		include($root.'/framework/class.secure.php');
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}

$update_when_modified = true;

$backend    = CAT_Backend::getInstance('Pages', 'pages_modify');
$val        = CAT_Helper_Validate::getInstance();
$page_id    = $val->get('_REQUEST','page_id','numeric');
$section_id = $val->get('_REQUEST','section_id','numeric');

if ( !$page_id )
{
	header("Location: index.php");
	exit(0);
}

if ( CAT_Helper_Page::getPagePermission($page_id,'admin') !== true )
{
	$backend->print_error( 'You do not have permissions to modify this page!' );
}
else
{
    if(CAT_Helper_Validate::sanitizePost('yt_save'))
    {
        $params     = array('options'=>NULL,'link'=>NULL);
        if(CAT_Helper_Validate::sanitizePost('youtube_code'))
        {
            $params['link']    = CAT_Helper_Validate::sanitizePost('youtube_code');
        }
        else
        {
            $options['id']     = CAT_Helper_Validate::sanitizePost('yt_id')
                               ? CAT_Helper_Validate::sanitizePost('yt_id')
                               : NULL;
            $options['width']  = CAT_Helper_Validate::sanitizePost('yt_width')
                               ? CAT_Helper_Validate::sanitizePost('yt_width')
                               : 560;
            $options['height'] = CAT_Helper_Validate::sanitizePost('yt_height')
                               ? CAT_Helper_Validate::sanitizePost('yt_height')
                               : 315;
            $options['type']   = CAT_Helper_Validate::sanitizePost('yt_type')
                               ? CAT_Helper_Validate::sanitizePost('yt_type')
                               : 'iframe';
            $options['rel']    = CAT_Helper_Validate::sanitizePost('yt_rel_y')
                               ? 1
                               : 0;
            $params['options'] = serialize($options);
        }
        $backend->db()->query(sprintf("DELETE FROM `%smod_youtube` WHERE `section_id`=%d",CAT_TABLE_PREFIX,$section_id));
        $backend->db()->query(sprintf(
            "INSERT INTO `%smod_youtube` VALUES ( '%d', '%s', '%s' )",
            CAT_TABLE_PREFIX, $section_id, $params['options'], $params['link']
        ));
        $edit_page = CAT_ADMIN_URL.'/pages/modify.php?page_id='.$page_id.'#'.SEC_ANCHOR.$section_id;
        if($backend->db()->isError())
    	    $backend->print_error($backend->db()->getError(), $js_back);
        else
    	    $backend->print_success('Page saved successfully', $edit_page );
        $backend->print_footer();
    }
    else
    {
        header("Location: index.php");
    	exit(0);
    }
}