<?php

/**
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 3 of the License, or (at
 *   your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful, but
 *   WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *   General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, see <http://www.gnu.org/licenses/>.
 *
 *   @author          Black Cat Development
 *   @copyright       2014, Black Cat Development
 *   @link            http://blackcat-cms.org
 *   @license         http://www.gnu.org/licenses/gpl.html
 *   @category        CAT_Modules
 *   @package         YouTube
 *
 */

if (defined('CAT_PATH')) {
    if (defined('CAT_VERSION')) include(CAT_PATH.'/framework/class.secure.php');
} elseif (file_exists($_SERVER['DOCUMENT_ROOT'].'/framework/class.secure.php')) {
    include($_SERVER['DOCUMENT_ROOT'].'/framework/class.secure.php');
} else {
    $subs = explode('/', dirname($_SERVER['SCRIPT_NAME']));    $dir = $_SERVER['DOCUMENT_ROOT'];
    $inc = false;
    foreach ($subs as $sub) {
        if (empty($sub)) continue; $dir .= '/'.$sub;
        if (file_exists($dir.'/framework/class.secure.php')) {
            include($dir.'/framework/class.secure.php'); $inc = true;    break;
        }
    }
    if (!$inc) trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
}

$data = array('options'=>NULL,'link'=>NULL);
$set  = $database->query(sprintf(
    "SELECT * FROM `%smod_youtube` WHERE `section_id`=%d",
    CAT_TABLE_PREFIX, $section_id
));
if($set->numRows())
    $data = $set->fetchRow();
if(isset($data['options']) && $data['options'] != '')
    $data['options'] = unserialize($data['options']);

if(isset($data['link']) && $data['link'] != '')
{
    echo $data['link'];
}
else
{
    switch ($data['options']['type']) {
        case 'iframe':
            $returnvalue = '<iframe width="'.$data['options']['width'].'" height="'.$data['options']['height'].'" '
                         . 'src="//www.youtube-nocookie.com/embed/'.$data['options']['id'].'?rel='.$data['options']['rel'].'" '
                         . 'frameborder="0" allowfullscreen></iframe>';
            break;
        case 'object':
            $returnvalue = '<object width="'.$data['options']['width'].'" height="'.$data['options']['height'].'">'
                         . '<param name="movie" value="//www.youtube-nocookie.com/v/'.$data['options']['id'].'?version=3&amp;rel='.$data['options']['rel'].'"></param>'
                         . '<param name="allowFullScreen" value="true"></param>'
                         . '<param name="allowscriptaccess" value="always"></param>'
                         . '<embed src="//www.youtube-nocookie.com/v/'.$data['options']['id'].'?version=3&amp;rel='.$data['options']['rel'].'" type="application/x-shockwave-flash" width="'.$data['options']['width'].'" height="'.$data['options']['height'].'" allowscriptaccess="always" allowfullscreen="true"></embed>'
                         . '</object>';
            break;
        default:
            $returnvalue = '<!-- unknown type: '.$type.' -->';
    		break;
    }
    echo $returnvalue;
}